%global packname  alr3
%global rlibdir   %{_libdir}/R/library

Name:           R-%{packname}
Version:        2.0.5
Release:        0.sles12.lc
Summary:        Methods and data to accompany Applied Linear Regression 3rd edition

Group:          Development/Libraries/Other
License:        GPL-2.0+
URL:            http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:        alr3_2.0.5.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       R-base
Requires:       R-stats 
# Package suggestions
BuildRequires:  texlive
BuildRequires:  texinfo
BuildRequires:  fdupes
#
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif

BuildRequires:    R-base-devel R-stats

%description
This library is a companion to the textbook S. Weisberg (2005), "Applied Linear Regression," 3rd edition, Wiley.
It includes all the data sets discussed in the book (except one), and several few functions that are tailored to
the methods discussed in the book.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/extdata/BGSall.txt
%{rlibdir}/%{packname}/extdata/BGSboys.txt
%{rlibdir}/%{packname}/extdata/BGSgirls.txt
%{rlibdir}/%{packname}/extdata/BigMac2003.txt
%{rlibdir}/%{packname}/extdata/MWwords.txt
%{rlibdir}/%{packname}/extdata/Mitchell.txt
%{rlibdir}/%{packname}/extdata/UN1.txt
%{rlibdir}/%{packname}/extdata/UN2.txt
%{rlibdir}/%{packname}/extdata/UN3.txt
%{rlibdir}/%{packname}/extdata/ais.txt
%{rlibdir}/%{packname}/extdata/allshoots.txt
%{rlibdir}/%{packname}/extdata/baeskel.txt
%{rlibdir}/%{packname}/extdata/banknote.txt
%{rlibdir}/%{packname}/extdata/blowAPB.txt
%{rlibdir}/%{packname}/extdata/blowBF.txt
%{rlibdir}/%{packname}/extdata/blowdown.txt
%{rlibdir}/%{packname}/extdata/brains.txt
%{rlibdir}/%{packname}/extdata/cakes.txt
%{rlibdir}/%{packname}/extdata/cathedral.txt
%{rlibdir}/%{packname}/extdata/caution.txt
%{rlibdir}/%{packname}/extdata/challeng.txt
%{rlibdir}/%{packname}/extdata/chloride.txt
%{rlibdir}/%{packname}/extdata/cloud.txt
%{rlibdir}/%{packname}/extdata/domedata.txt
%{rlibdir}/%{packname}/extdata/domedata1.txt
%{rlibdir}/%{packname}/extdata/donner.txt
%{rlibdir}/%{packname}/extdata/downer.txt
%{rlibdir}/%{packname}/extdata/drugcost.txt
%{rlibdir}/%{packname}/extdata/dwaste.txt
%{rlibdir}/%{packname}/extdata/florida.txt
%{rlibdir}/%{packname}/extdata/forbes.txt
%{rlibdir}/%{packname}/extdata/ftcollinssnow.txt
%{rlibdir}/%{packname}/extdata/fuel2001.txt
%{rlibdir}/%{packname}/extdata/galapagos.txt
%{rlibdir}/%{packname}/extdata/galtonpeas.txt
%{rlibdir}/%{packname}/extdata/heights.txt
%{rlibdir}/%{packname}/extdata/highway.txt
%{rlibdir}/%{packname}/extdata/hooker.txt
%{rlibdir}/%{packname}/extdata/htwt.txt
%{rlibdir}/%{packname}/extdata/jevons.txt
%{rlibdir}/%{packname}/extdata/lakemary.txt
%{rlibdir}/%{packname}/extdata/lakes.txt
%{rlibdir}/%{packname}/extdata/landrent.txt
%{rlibdir}/%{packname}/extdata/lathe1.txt
%{rlibdir}/%{packname}/extdata/longshoots.txt
%{rlibdir}/%{packname}/extdata/mantel.txt
%{rlibdir}/%{packname}/extdata/mile.txt
%{rlibdir}/%{packname}/extdata/npdata.txt
%{rlibdir}/%{packname}/extdata/oldfaith.txt
%{rlibdir}/%{packname}/extdata/physics.txt
%{rlibdir}/%{packname}/extdata/physics1.txt
%{rlibdir}/%{packname}/extdata/pipeline.txt
%{rlibdir}/%{packname}/extdata/prodscore.txt
%{rlibdir}/%{packname}/extdata/rat.txt
%{rlibdir}/%{packname}/extdata/salary.txt
%{rlibdir}/%{packname}/extdata/salarygov.txt
%{rlibdir}/%{packname}/extdata/segreg.txt
%{rlibdir}/%{packname}/extdata/shocks.txt
%{rlibdir}/%{packname}/extdata/shortshoots.txt
%{rlibdir}/%{packname}/extdata/sleep1.txt
%{rlibdir}/%{packname}/extdata/snake.txt
%{rlibdir}/%{packname}/extdata/sniffer.txt
%{rlibdir}/%{packname}/extdata/snowgeese.txt
%{rlibdir}/%{packname}/extdata/stopping.txt
%{rlibdir}/%{packname}/extdata/swan96.txt
%{rlibdir}/%{packname}/extdata/titanic.txt
%{rlibdir}/%{packname}/extdata/torda.R
%{rlibdir}/%{packname}/extdata/transact.txt
%{rlibdir}/%{packname}/extdata/turk0.txt
%{rlibdir}/%{packname}/extdata/turkey.txt
%{rlibdir}/%{packname}/extdata/twins.txt
%{rlibdir}/%{packname}/extdata/ufc.txt
%{rlibdir}/%{packname}/extdata/ufcdf.txt
%{rlibdir}/%{packname}/extdata/ufcgf.txt
%{rlibdir}/%{packname}/extdata/ufcwc.txt
%{rlibdir}/%{packname}/extdata/walleye.txt
%{rlibdir}/%{packname}/extdata/water.txt
%{rlibdir}/%{packname}/extdata/wblake.txt
%{rlibdir}/%{packname}/extdata/wblake2.txt
%{rlibdir}/%{packname}/extdata/wm1.txt
%{rlibdir}/%{packname}/extdata/wm2.txt
%{rlibdir}/%{packname}/extdata/wm3.txt
%{rlibdir}/%{packname}/extdata/wm4.txt
%{rlibdir}/%{packname}/extdata/wool.txt

%changelog
* Thu Dec 25 2014 Stuart Raeburn <raeburn@loncapa.org>
- initial package for OpenSuSE
